Package org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess`

      public class EMFPatternLanguageGrammarAccess
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `EMFPatternLanguageGrammarAccess.AggregatedValueElements` |
    `class` | `EMFPatternLanguageGrammarAccess.AnnotationElements` |
    `class` | `EMFPatternLanguageGrammarAccess.AnnotationParameterElements` |
    `class` | `EMFPatternLanguageGrammarAccess.AnnotationValueReferenceElements` |
    `class` | `EMFPatternLanguageGrammarAccess.BoolValueElements` |
    `class` | `EMFPatternLanguageGrammarAccess.CheckConstraintElements` |
    `class` | `EMFPatternLanguageGrammarAccess.ClosureTypeElements` |
    `class` | `EMFPatternLanguageGrammarAccess.CompareConstraintElements` |
    `class` | `EMFPatternLanguageGrammarAccess.CompareFeatureElements` |
    `class` | `EMFPatternLanguageGrammarAccess.ComputationValueElements` |
    `class` | `EMFPatternLanguageGrammarAccess.ConstraintElements` |
    `class` | `EMFPatternLanguageGrammarAccess.EClassifierConstraintElements` |
    `class` | `EMFPatternLanguageGrammarAccess.EnumValueElements` |
    `class` | `EMFPatternLanguageGrammarAccess.ExecutionTypeModifierElements` |
    `class` | `EMFPatternLanguageGrammarAccess.FunctionEvaluationValueElements` |
    `class` | `EMFPatternLanguageGrammarAccess.JavaConstantValueElements` |
    `class` | `EMFPatternLanguageGrammarAccess.JavaTypeElements` |
    `class` | `EMFPatternLanguageGrammarAccess.ListValueElements` |
    `class` | `EMFPatternLanguageGrammarAccess.LiteralValueReferenceElements` |
    `class` | `EMFPatternLanguageGrammarAccess.ModifiersElements` |
    `class` | `EMFPatternLanguageGrammarAccess.NumberValueElements` |
    `class` | `EMFPatternLanguageGrammarAccess.PackageImportElements` |
    `class` | `EMFPatternLanguageGrammarAccess.ParameterDirectionModifierElements` |
    `class` | `EMFPatternLanguageGrammarAccess.ParameterElements` |
    `class` | `EMFPatternLanguageGrammarAccess.PathExpressionConstraintElements` |
    `class` | `EMFPatternLanguageGrammarAccess.PatternBodyElements` |
    `class` | `EMFPatternLanguageGrammarAccess.PatternCallElements` |
    `class` | `EMFPatternLanguageGrammarAccess.PatternCompositionConstraintElements` |
    `class` | `EMFPatternLanguageGrammarAccess.PatternElements` |
    `class` | `EMFPatternLanguageGrammarAccess.PatternImportElements` |
    `class` | `EMFPatternLanguageGrammarAccess.PatternModelElements` |
    `class` | `EMFPatternLanguageGrammarAccess.RefTypeElements` |
    `class` | `EMFPatternLanguageGrammarAccess.StringValueElements` |
    `class` | `EMFPatternLanguageGrammarAccess.TypeCheckConstraintElements` |
    `class` | `EMFPatternLanguageGrammarAccess.TypeElements` |
    `class` | `EMFPatternLanguageGrammarAccess.ValueReferenceElements` |
    `class` | `EMFPatternLanguageGrammarAccess.VariableReferenceElements` |
    `class` | `EMFPatternLanguageGrammarAccess.VQLImportSectionElements` |
    `class` | `EMFPatternLanguageGrammarAccess.XBooleanLiteralElements` |
    `class` | `EMFPatternLanguageGrammarAccess.XImportDeclarationElements` |
    `class` | `EMFPatternLanguageGrammarAccess.XNumberLiteralElements` |

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.IGrammarAccess

      `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EMFPatternLanguageGrammarAccess​(org.eclipse.xtext.service.GrammarProvider grammarProvider, org.eclipse.xtext.xbase.services.XbaseGrammarAccess gaXbase, org.eclipse.xtext.xbase.services.XtypeGrammarAccess gaXtype)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EMFPatternLanguageGrammarAccess.AggregatedValueElements` | `getAggregatedValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getAggregatedValueRule()` |
    `EMFPatternLanguageGrammarAccess.AnnotationElements` | `getAnnotationAccess()` |
    `EMFPatternLanguageGrammarAccess.AnnotationParameterElements` | `getAnnotationParameterAccess()` |
    `org.eclipse.xtext.ParserRule` | `getAnnotationParameterRule()` |
    `org.eclipse.xtext.ParserRule` | `getAnnotationRule()` |
    `EMFPatternLanguageGrammarAccess.AnnotationValueReferenceElements` | `getAnnotationValueReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getAnnotationValueReferenceRule()` |
    `org.eclipse.xtext.TerminalRule` | `getANY_OTHERRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.ArrayBracketsElements` | `getArrayBracketsAccess()` |
    `org.eclipse.xtext.ParserRule` | `getArrayBracketsRule()` |
    `EMFPatternLanguageGrammarAccess.BoolValueElements` | `getBoolValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getBoolValueRule()` |
    `EMFPatternLanguageGrammarAccess.CheckConstraintElements` | `getCheckConstraintAccess()` |
    `org.eclipse.xtext.ParserRule` | `getCheckConstraintRule()` |
    `EMFPatternLanguageGrammarAccess.ClosureTypeElements` | `getClosureTypeAccess()` |
    `org.eclipse.xtext.EnumRule` | `getClosureTypeRule()` |
    `EMFPatternLanguageGrammarAccess.CompareConstraintElements` | `getCompareConstraintAccess()` |
    `org.eclipse.xtext.ParserRule` | `getCompareConstraintRule()` |
    `EMFPatternLanguageGrammarAccess.CompareFeatureElements` | `getCompareFeatureAccess()` |
    `org.eclipse.xtext.EnumRule` | `getCompareFeatureRule()` |
    `EMFPatternLanguageGrammarAccess.ComputationValueElements` | `getComputationValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getComputationValueRule()` |
    `EMFPatternLanguageGrammarAccess.ConstraintElements` | `getConstraintAccess()` |
    `org.eclipse.xtext.ParserRule` | `getConstraintRule()` |
    `org.eclipse.xtext.TerminalRule` | `getDECIMALRule()` |
    `EMFPatternLanguageGrammarAccess.EClassifierConstraintElements` | `getEClassifierConstraintAccess()` |
    `org.eclipse.xtext.ParserRule` | `getEClassifierConstraintRule()` |
    `EMFPatternLanguageGrammarAccess.EnumValueElements` | `getEnumValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getEnumValueRule()` |
    `EMFPatternLanguageGrammarAccess.ExecutionTypeModifierElements` | `getExecutionTypeModifierAccess()` |
    `org.eclipse.xtext.EnumRule` | `getExecutionTypeModifierRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.FeatureCallIDElements` | `getFeatureCallIDAccess()` |
    `org.eclipse.xtext.ParserRule` | `getFeatureCallIDRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.FullJvmFormalParameterElements` | `getFullJvmFormalParameterAccess()` |
    `org.eclipse.xtext.ParserRule` | `getFullJvmFormalParameterRule()` |
    `EMFPatternLanguageGrammarAccess.FunctionEvaluationValueElements` | `getFunctionEvaluationValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getFunctionEvaluationValueRule()` |
    `org.eclipse.xtext.Grammar` | `getGrammar()` |
    `org.eclipse.xtext.TerminalRule` | `getHEXRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.IdOrSuperElements` | `getIdOrSuperAccess()` |
    `org.eclipse.xtext.ParserRule` | `getIdOrSuperRule()` |
    `org.eclipse.xtext.TerminalRule` | `getIDRule()` |
    `org.eclipse.xtext.TerminalRule` | `getINTRule()` |
    `EMFPatternLanguageGrammarAccess.JavaConstantValueElements` | `getJavaConstantValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJavaConstantValueRule()` |
    `EMFPatternLanguageGrammarAccess.JavaTypeElements` | `getJavaTypeAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJavaTypeRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmArgumentTypeReferenceElements` | `getJvmArgumentTypeReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJvmArgumentTypeReferenceRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.JvmFormalParameterElements` | `getJvmFormalParameterAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJvmFormalParameterRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmLowerBoundElements` | `getJvmLowerBoundAccess()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmLowerBoundAndedElements` | `getJvmLowerBoundAndedAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJvmLowerBoundAndedRule()` |
    `org.eclipse.xtext.ParserRule` | `getJvmLowerBoundRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmParameterizedTypeReferenceElements` | `getJvmParameterizedTypeReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJvmParameterizedTypeReferenceRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmTypeParameterElements` | `getJvmTypeParameterAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJvmTypeParameterRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmTypeReferenceElements` | `getJvmTypeReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJvmTypeReferenceRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmUpperBoundElements` | `getJvmUpperBoundAccess()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmUpperBoundAndedElements` | `getJvmUpperBoundAndedAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJvmUpperBoundAndedRule()` |
    `org.eclipse.xtext.ParserRule` | `getJvmUpperBoundRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmWildcardTypeReferenceElements` | `getJvmWildcardTypeReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getJvmWildcardTypeReferenceRule()` |
    `EMFPatternLanguageGrammarAccess.ListValueElements` | `getListValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getListValueRule()` |
    `EMFPatternLanguageGrammarAccess.LiteralValueReferenceElements` | `getLiteralValueReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getLiteralValueReferenceRule()` |
    `org.eclipse.xtext.TerminalRule` | `getML_COMMENTRule()` |
    `EMFPatternLanguageGrammarAccess.ModifiersElements` | `getModifiersAccess()` |
    `org.eclipse.xtext.ParserRule` | `getModifiersRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.NumberElements` | `getNumberAccess()` |
    `org.eclipse.xtext.ParserRule` | `getNumberRule()` |
    `EMFPatternLanguageGrammarAccess.NumberValueElements` | `getNumberValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getNumberValueRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpAddElements` | `getOpAddAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpAddRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpAndElements` | `getOpAndAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpAndRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpCompareElements` | `getOpCompareAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpCompareRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpEqualityElements` | `getOpEqualityAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpEqualityRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpMultiElements` | `getOpMultiAccess()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpMultiAssignElements` | `getOpMultiAssignAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpMultiAssignRule()` |
    `org.eclipse.xtext.ParserRule` | `getOpMultiRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpOrElements` | `getOpOrAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpOrRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpOtherElements` | `getOpOtherAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpOtherRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpPostfixElements` | `getOpPostfixAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpPostfixRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpSingleAssignElements` | `getOpSingleAssignAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpSingleAssignRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpUnaryElements` | `getOpUnaryAccess()` |
    `org.eclipse.xtext.ParserRule` | `getOpUnaryRule()` |
    `EMFPatternLanguageGrammarAccess.PackageImportElements` | `getPackageImportAccess()` |
    `org.eclipse.xtext.ParserRule` | `getPackageImportRule()` |
    `EMFPatternLanguageGrammarAccess.ParameterElements` | `getParameterAccess()` |
    `EMFPatternLanguageGrammarAccess.ParameterDirectionModifierElements` | `getParameterDirectionModifierAccess()` |
    `org.eclipse.xtext.EnumRule` | `getParameterDirectionModifierRule()` |
    `org.eclipse.xtext.ParserRule` | `getParameterRule()` |
    `EMFPatternLanguageGrammarAccess.PathExpressionConstraintElements` | `getPathExpressionConstraintAccess()` |
    `org.eclipse.xtext.ParserRule` | `getPathExpressionConstraintRule()` |
    `EMFPatternLanguageGrammarAccess.PatternElements` | `getPatternAccess()` |
    `EMFPatternLanguageGrammarAccess.PatternBodyElements` | `getPatternBodyAccess()` |
    `org.eclipse.xtext.ParserRule` | `getPatternBodyRule()` |
    `EMFPatternLanguageGrammarAccess.PatternCallElements` | `getPatternCallAccess()` |
    `org.eclipse.xtext.ParserRule` | `getPatternCallRule()` |
    `EMFPatternLanguageGrammarAccess.PatternCompositionConstraintElements` | `getPatternCompositionConstraintAccess()` |
    `org.eclipse.xtext.ParserRule` | `getPatternCompositionConstraintRule()` |
    `EMFPatternLanguageGrammarAccess.PatternImportElements` | `getPatternImportAccess()` |
    `org.eclipse.xtext.ParserRule` | `getPatternImportRule()` |
    `EMFPatternLanguageGrammarAccess.PatternModelElements` | `getPatternModelAccess()` |
    `org.eclipse.xtext.ParserRule` | `getPatternModelRule()` |
    `org.eclipse.xtext.ParserRule` | `getPatternRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.QualifiedNameElements` | `getQualifiedNameAccess()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.QualifiedNameInStaticImportElements` | `getQualifiedNameInStaticImportAccess()` |
    `org.eclipse.xtext.ParserRule` | `getQualifiedNameInStaticImportRule()` |
    `org.eclipse.xtext.ParserRule` | `getQualifiedNameRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.QualifiedNameWithWildcardElements` | `getQualifiedNameWithWildcardAccess()` |
    `org.eclipse.xtext.ParserRule` | `getQualifiedNameWithWildcardRule()` |
    `EMFPatternLanguageGrammarAccess.RefTypeElements` | `getRefTypeAccess()` |
    `org.eclipse.xtext.ParserRule` | `getRefTypeRule()` |
    `org.eclipse.xtext.TerminalRule` | `getSL_COMMENTRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.StaticQualifierElements` | `getStaticQualifierAccess()` |
    `org.eclipse.xtext.ParserRule` | `getStaticQualifierRule()` |
    `org.eclipse.xtext.TerminalRule` | `getSTRINGRule()` |
    `EMFPatternLanguageGrammarAccess.StringValueElements` | `getStringValueAccess()` |
    `org.eclipse.xtext.ParserRule` | `getStringValueRule()` |
    `EMFPatternLanguageGrammarAccess.TypeElements` | `getTypeAccess()` |
    `EMFPatternLanguageGrammarAccess.TypeCheckConstraintElements` | `getTypeCheckConstraintAccess()` |
    `org.eclipse.xtext.ParserRule` | `getTypeCheckConstraintRule()` |
    `org.eclipse.xtext.ParserRule` | `getTypeRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.ValidIDElements` | `getValidIDAccess()` |
    `org.eclipse.xtext.ParserRule` | `getValidIDRule()` |
    `EMFPatternLanguageGrammarAccess.ValueReferenceElements` | `getValueReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getValueReferenceRule()` |
    `EMFPatternLanguageGrammarAccess.VariableReferenceElements` | `getVariableReferenceAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVariableReferenceRule()` |
    `EMFPatternLanguageGrammarAccess.VQLImportSectionElements` | `getVQLImportSectionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getVQLImportSectionRule()` |
    `org.eclipse.xtext.TerminalRule` | `getWSRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAdditiveExpressionElements` | `getXAdditiveExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXAdditiveExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAndExpressionElements` | `getXAndExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXAndExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAssignmentElements` | `getXAssignmentAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXAssignmentRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess` | `getXbaseGrammarAccess()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBasicForLoopExpressionElements` | `getXBasicForLoopExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXBasicForLoopExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBlockExpressionElements` | `getXBlockExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXBlockExpressionRule()` |
    `EMFPatternLanguageGrammarAccess.XBooleanLiteralElements` | `getXBooleanLiteralAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXBooleanLiteralRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCasePartElements` | `getXCasePartAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXCasePartRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCastedExpressionElements` | `getXCastedExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXCastedExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCatchClauseElements` | `getXCatchClauseAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXCatchClauseRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XClosureElements` | `getXClosureAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXClosureRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCollectionLiteralElements` | `getXCollectionLiteralAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXCollectionLiteralRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XConstructorCallElements` | `getXConstructorCallAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXConstructorCallRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XDoWhileExpressionElements` | `getXDoWhileExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXDoWhileExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XEqualityExpressionElements` | `getXEqualityExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXEqualityExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionElements` | `getXExpressionAccess()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionInClosureElements` | `getXExpressionInClosureAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXExpressionInClosureRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionOrVarDeclarationElements` | `getXExpressionOrVarDeclarationAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXExpressionOrVarDeclarationRule()` |
    `org.eclipse.xtext.ParserRule` | `getXExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XFeatureCallElements` | `getXFeatureCallAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXFeatureCallRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XForLoopExpressionElements` | `getXForLoopExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXForLoopExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XFunctionTypeRefElements` | `getXFunctionTypeRefAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXFunctionTypeRefRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XIfExpressionElements` | `getXIfExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXIfExpressionRule()` |
    `EMFPatternLanguageGrammarAccess.XImportDeclarationElements` | `getXImportDeclarationAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXImportDeclarationRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XImportSectionElements` | `getXImportSectionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXImportSectionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XListLiteralElements` | `getXListLiteralAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXListLiteralRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XLiteralElements` | `getXLiteralAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXLiteralRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XMemberFeatureCallElements` | `getXMemberFeatureCallAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXMemberFeatureCallRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XMultiplicativeExpressionElements` | `getXMultiplicativeExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXMultiplicativeExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XNullLiteralElements` | `getXNullLiteralAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXNullLiteralRule()` |
    `EMFPatternLanguageGrammarAccess.XNumberLiteralElements` | `getXNumberLiteralAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXNumberLiteralRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XOrExpressionElements` | `getXOrExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXOrExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XOtherOperatorExpressionElements` | `getXOtherOperatorExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXOtherOperatorExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XParenthesizedExpressionElements` | `getXParenthesizedExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXParenthesizedExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XPostfixOperationElements` | `getXPostfixOperationAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXPostfixOperationRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XPrimaryExpressionElements` | `getXPrimaryExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXPrimaryExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XRelationalExpressionElements` | `getXRelationalExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXRelationalExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XReturnExpressionElements` | `getXReturnExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXReturnExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSetLiteralElements` | `getXSetLiteralAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXSetLiteralRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XShortClosureElements` | `getXShortClosureAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXShortClosureRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XStringLiteralElements` | `getXStringLiteralAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXStringLiteralRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSwitchExpressionElements` | `getXSwitchExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXSwitchExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSynchronizedExpressionElements` | `getXSynchronizedExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXSynchronizedExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XThrowExpressionElements` | `getXThrowExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXThrowExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XTryCatchFinallyExpressionElements` | `getXTryCatchFinallyExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXTryCatchFinallyExpressionRule()` |
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess` | `getXtypeGrammarAccess()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XTypeLiteralElements` | `getXTypeLiteralAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXTypeLiteralRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XUnaryOperationElements` | `getXUnaryOperationAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXUnaryOperationRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XVariableDeclarationElements` | `getXVariableDeclarationAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXVariableDeclarationRule()` |
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XWhileExpressionElements` | `getXWhileExpressionAccess()` |
    `org.eclipse.xtext.ParserRule` | `getXWhileExpressionRule()` |
    `protected org.eclipse.xtext.Grammar` | `internalFindGrammar​(org.eclipse.xtext.service.GrammarProvider grammarProvider)` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.IGrammarAccess

      `findKeywordPairs, findKeywords, findRuleCalls`

- - ### Constructor Detail

    - #### EMFPatternLanguageGrammarAccess

          @Inject
          public EMFPatternLanguageGrammarAccess​(org.eclipse.xtext.service.GrammarProvider grammarProvider,
                                                 org.eclipse.xtext.xbase.services.XbaseGrammarAccess gaXbase,
                                                 org.eclipse.xtext.xbase.services.XtypeGrammarAccess gaXtype)

  - ### Method Detail

    - #### internalFindGrammar

          protected org.eclipse.xtext.Grammar internalFindGrammar​(org.eclipse.xtext.service.GrammarProvider grammarProvider)

    - #### getGrammar

          public org.eclipse.xtext.Grammar getGrammar()

    - #### getXbaseGrammarAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess getXbaseGrammarAccess()

    - #### getXtypeGrammarAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess getXtypeGrammarAccess()

    - #### getPatternModelAccess

          public EMFPatternLanguageGrammarAccess.PatternModelElements getPatternModelAccess()

    - #### getPatternModelRule

          public org.eclipse.xtext.ParserRule getPatternModelRule()

    - #### getVQLImportSectionAccess

          public EMFPatternLanguageGrammarAccess.VQLImportSectionElements getVQLImportSectionAccess()

    - #### getVQLImportSectionRule

          public org.eclipse.xtext.ParserRule getVQLImportSectionRule()

    - #### getPackageImportAccess

          public EMFPatternLanguageGrammarAccess.PackageImportElements getPackageImportAccess()

    - #### getPackageImportRule

          public org.eclipse.xtext.ParserRule getPackageImportRule()

    - #### getPatternImportAccess

          public EMFPatternLanguageGrammarAccess.PatternImportElements getPatternImportAccess()

    - #### getPatternImportRule

          public org.eclipse.xtext.ParserRule getPatternImportRule()

    - #### getXImportDeclarationAccess

          public EMFPatternLanguageGrammarAccess.XImportDeclarationElements getXImportDeclarationAccess()

    - #### getXImportDeclarationRule

          public org.eclipse.xtext.ParserRule getXImportDeclarationRule()

    - #### getPatternAccess

          public EMFPatternLanguageGrammarAccess.PatternElements getPatternAccess()

    - #### getPatternRule

          public org.eclipse.xtext.ParserRule getPatternRule()

    - #### getAnnotationAccess

          public EMFPatternLanguageGrammarAccess.AnnotationElements getAnnotationAccess()

    - #### getAnnotationRule

          public org.eclipse.xtext.ParserRule getAnnotationRule()

    - #### getAnnotationParameterAccess

          public EMFPatternLanguageGrammarAccess.AnnotationParameterElements getAnnotationParameterAccess()

    - #### getAnnotationParameterRule

          public org.eclipse.xtext.ParserRule getAnnotationParameterRule()

    - #### getModifiersAccess

          public EMFPatternLanguageGrammarAccess.ModifiersElements getModifiersAccess()

    - #### getModifiersRule

          public org.eclipse.xtext.ParserRule getModifiersRule()

    - #### getExecutionTypeModifierAccess

          public EMFPatternLanguageGrammarAccess.ExecutionTypeModifierElements getExecutionTypeModifierAccess()

    - #### getExecutionTypeModifierRule

          public org.eclipse.xtext.EnumRule getExecutionTypeModifierRule()

    - #### getParameterDirectionModifierAccess

          public EMFPatternLanguageGrammarAccess.ParameterDirectionModifierElements getParameterDirectionModifierAccess()

    - #### getParameterDirectionModifierRule

          public org.eclipse.xtext.EnumRule getParameterDirectionModifierRule()

    - #### getParameterAccess

          public EMFPatternLanguageGrammarAccess.ParameterElements getParameterAccess()

    - #### getParameterRule

          public org.eclipse.xtext.ParserRule getParameterRule()

    - #### getVariableReferenceAccess

          public EMFPatternLanguageGrammarAccess.VariableReferenceElements getVariableReferenceAccess()

    - #### getVariableReferenceRule

          public org.eclipse.xtext.ParserRule getVariableReferenceRule()

    - #### getTypeAccess

          public EMFPatternLanguageGrammarAccess.TypeElements getTypeAccess()

    - #### getTypeRule

          public org.eclipse.xtext.ParserRule getTypeRule()

    - #### getRefTypeAccess

          public EMFPatternLanguageGrammarAccess.RefTypeElements getRefTypeAccess()

    - #### getRefTypeRule

          public org.eclipse.xtext.ParserRule getRefTypeRule()

    - #### getJavaTypeAccess

          public EMFPatternLanguageGrammarAccess.JavaTypeElements getJavaTypeAccess()

    - #### getJavaTypeRule

          public org.eclipse.xtext.ParserRule getJavaTypeRule()

    - #### getPatternBodyAccess

          public EMFPatternLanguageGrammarAccess.PatternBodyElements getPatternBodyAccess()

    - #### getPatternBodyRule

          public org.eclipse.xtext.ParserRule getPatternBodyRule()

    - #### getConstraintAccess

          public EMFPatternLanguageGrammarAccess.ConstraintElements getConstraintAccess()

    - #### getConstraintRule

          public org.eclipse.xtext.ParserRule getConstraintRule()

    - #### getTypeCheckConstraintAccess

          public EMFPatternLanguageGrammarAccess.TypeCheckConstraintElements getTypeCheckConstraintAccess()

    - #### getTypeCheckConstraintRule

          public org.eclipse.xtext.ParserRule getTypeCheckConstraintRule()

    - #### getPatternCompositionConstraintAccess

          public EMFPatternLanguageGrammarAccess.PatternCompositionConstraintElements getPatternCompositionConstraintAccess()

    - #### getPatternCompositionConstraintRule

          public org.eclipse.xtext.ParserRule getPatternCompositionConstraintRule()

    - #### getPatternCallAccess

          public EMFPatternLanguageGrammarAccess.PatternCallElements getPatternCallAccess()

    - #### getPatternCallRule

          public org.eclipse.xtext.ParserRule getPatternCallRule()

    - #### getCompareConstraintAccess

          public EMFPatternLanguageGrammarAccess.CompareConstraintElements getCompareConstraintAccess()

    - #### getCompareConstraintRule

          public org.eclipse.xtext.ParserRule getCompareConstraintRule()

    - #### getCompareFeatureAccess

          public EMFPatternLanguageGrammarAccess.CompareFeatureElements getCompareFeatureAccess()

    - #### getCompareFeatureRule

          public org.eclipse.xtext.EnumRule getCompareFeatureRule()

    - #### getCheckConstraintAccess

          public EMFPatternLanguageGrammarAccess.CheckConstraintElements getCheckConstraintAccess()

    - #### getCheckConstraintRule

          public org.eclipse.xtext.ParserRule getCheckConstraintRule()

    - #### getPathExpressionConstraintAccess

          public EMFPatternLanguageGrammarAccess.PathExpressionConstraintElements getPathExpressionConstraintAccess()

    - #### getPathExpressionConstraintRule

          public org.eclipse.xtext.ParserRule getPathExpressionConstraintRule()

    - #### getValueReferenceAccess

          public EMFPatternLanguageGrammarAccess.ValueReferenceElements getValueReferenceAccess()

    - #### getValueReferenceRule

          public org.eclipse.xtext.ParserRule getValueReferenceRule()

    - #### getAnnotationValueReferenceAccess

          public EMFPatternLanguageGrammarAccess.AnnotationValueReferenceElements getAnnotationValueReferenceAccess()

    - #### getAnnotationValueReferenceRule

          public org.eclipse.xtext.ParserRule getAnnotationValueReferenceRule()

    - #### getLiteralValueReferenceAccess

          public EMFPatternLanguageGrammarAccess.LiteralValueReferenceElements getLiteralValueReferenceAccess()

    - #### getLiteralValueReferenceRule

          public org.eclipse.xtext.ParserRule getLiteralValueReferenceRule()

    - #### getJavaConstantValueAccess

          public EMFPatternLanguageGrammarAccess.JavaConstantValueElements getJavaConstantValueAccess()

    - #### getJavaConstantValueRule

          public org.eclipse.xtext.ParserRule getJavaConstantValueRule()

    - #### getStringValueAccess

          public EMFPatternLanguageGrammarAccess.StringValueElements getStringValueAccess()

    - #### getStringValueRule

          public org.eclipse.xtext.ParserRule getStringValueRule()

    - #### getNumberValueAccess

          public EMFPatternLanguageGrammarAccess.NumberValueElements getNumberValueAccess()

    - #### getNumberValueRule

          public org.eclipse.xtext.ParserRule getNumberValueRule()

    - #### getXNumberLiteralAccess

          public EMFPatternLanguageGrammarAccess.XNumberLiteralElements getXNumberLiteralAccess()

    - #### getXNumberLiteralRule

          public org.eclipse.xtext.ParserRule getXNumberLiteralRule()

    - #### getBoolValueAccess

          public EMFPatternLanguageGrammarAccess.BoolValueElements getBoolValueAccess()

    - #### getBoolValueRule

          public org.eclipse.xtext.ParserRule getBoolValueRule()

    - #### getXBooleanLiteralAccess

          public EMFPatternLanguageGrammarAccess.XBooleanLiteralElements getXBooleanLiteralAccess()

    - #### getXBooleanLiteralRule

          public org.eclipse.xtext.ParserRule getXBooleanLiteralRule()

    - #### getListValueAccess

          public EMFPatternLanguageGrammarAccess.ListValueElements getListValueAccess()

    - #### getListValueRule

          public org.eclipse.xtext.ParserRule getListValueRule()

    - #### getComputationValueAccess

          public EMFPatternLanguageGrammarAccess.ComputationValueElements getComputationValueAccess()

    - #### getComputationValueRule

          public org.eclipse.xtext.ParserRule getComputationValueRule()

    - #### getFunctionEvaluationValueAccess

          public EMFPatternLanguageGrammarAccess.FunctionEvaluationValueElements getFunctionEvaluationValueAccess()

    - #### getFunctionEvaluationValueRule

          public org.eclipse.xtext.ParserRule getFunctionEvaluationValueRule()

    - #### getAggregatedValueAccess

          public EMFPatternLanguageGrammarAccess.AggregatedValueElements getAggregatedValueAccess()

    - #### getAggregatedValueRule

          public org.eclipse.xtext.ParserRule getAggregatedValueRule()

    - #### getEClassifierConstraintAccess

          public EMFPatternLanguageGrammarAccess.EClassifierConstraintElements getEClassifierConstraintAccess()

    - #### getEClassifierConstraintRule

          public org.eclipse.xtext.ParserRule getEClassifierConstraintRule()

    - #### getEnumValueAccess

          public EMFPatternLanguageGrammarAccess.EnumValueElements getEnumValueAccess()

    - #### getEnumValueRule

          public org.eclipse.xtext.ParserRule getEnumValueRule()

    - #### getClosureTypeAccess

          public EMFPatternLanguageGrammarAccess.ClosureTypeElements getClosureTypeAccess()

    - #### getClosureTypeRule

          public org.eclipse.xtext.EnumRule getClosureTypeRule()

    - #### getXExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionElements getXExpressionAccess()

    - #### getXExpressionRule

          public org.eclipse.xtext.ParserRule getXExpressionRule()

    - #### getXAssignmentAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAssignmentElements getXAssignmentAccess()

    - #### getXAssignmentRule

          public org.eclipse.xtext.ParserRule getXAssignmentRule()

    - #### getOpSingleAssignAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpSingleAssignElements getOpSingleAssignAccess()

    - #### getOpSingleAssignRule

          public org.eclipse.xtext.ParserRule getOpSingleAssignRule()

    - #### getOpMultiAssignAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpMultiAssignElements getOpMultiAssignAccess()

    - #### getOpMultiAssignRule

          public org.eclipse.xtext.ParserRule getOpMultiAssignRule()

    - #### getXOrExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XOrExpressionElements getXOrExpressionAccess()

    - #### getXOrExpressionRule

          public org.eclipse.xtext.ParserRule getXOrExpressionRule()

    - #### getOpOrAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpOrElements getOpOrAccess()

    - #### getOpOrRule

          public org.eclipse.xtext.ParserRule getOpOrRule()

    - #### getXAndExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAndExpressionElements getXAndExpressionAccess()

    - #### getXAndExpressionRule

          public org.eclipse.xtext.ParserRule getXAndExpressionRule()

    - #### getOpAndAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpAndElements getOpAndAccess()

    - #### getOpAndRule

          public org.eclipse.xtext.ParserRule getOpAndRule()

    - #### getXEqualityExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XEqualityExpressionElements getXEqualityExpressionAccess()

    - #### getXEqualityExpressionRule

          public org.eclipse.xtext.ParserRule getXEqualityExpressionRule()

    - #### getOpEqualityAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpEqualityElements getOpEqualityAccess()

    - #### getOpEqualityRule

          public org.eclipse.xtext.ParserRule getOpEqualityRule()

    - #### getXRelationalExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XRelationalExpressionElements getXRelationalExpressionAccess()

    - #### getXRelationalExpressionRule

          public org.eclipse.xtext.ParserRule getXRelationalExpressionRule()

    - #### getOpCompareAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpCompareElements getOpCompareAccess()

    - #### getOpCompareRule

          public org.eclipse.xtext.ParserRule getOpCompareRule()

    - #### getXOtherOperatorExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XOtherOperatorExpressionElements getXOtherOperatorExpressionAccess()

    - #### getXOtherOperatorExpressionRule

          public org.eclipse.xtext.ParserRule getXOtherOperatorExpressionRule()

    - #### getOpOtherAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpOtherElements getOpOtherAccess()

    - #### getOpOtherRule

          public org.eclipse.xtext.ParserRule getOpOtherRule()

    - #### getXAdditiveExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAdditiveExpressionElements getXAdditiveExpressionAccess()

    - #### getXAdditiveExpressionRule

          public org.eclipse.xtext.ParserRule getXAdditiveExpressionRule()

    - #### getOpAddAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpAddElements getOpAddAccess()

    - #### getOpAddRule

          public org.eclipse.xtext.ParserRule getOpAddRule()

    - #### getXMultiplicativeExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XMultiplicativeExpressionElements getXMultiplicativeExpressionAccess()

    - #### getXMultiplicativeExpressionRule

          public org.eclipse.xtext.ParserRule getXMultiplicativeExpressionRule()

    - #### getOpMultiAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpMultiElements getOpMultiAccess()

    - #### getOpMultiRule

          public org.eclipse.xtext.ParserRule getOpMultiRule()

    - #### getXUnaryOperationAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XUnaryOperationElements getXUnaryOperationAccess()

    - #### getXUnaryOperationRule

          public org.eclipse.xtext.ParserRule getXUnaryOperationRule()

    - #### getOpUnaryAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpUnaryElements getOpUnaryAccess()

    - #### getOpUnaryRule

          public org.eclipse.xtext.ParserRule getOpUnaryRule()

    - #### getXCastedExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCastedExpressionElements getXCastedExpressionAccess()

    - #### getXCastedExpressionRule

          public org.eclipse.xtext.ParserRule getXCastedExpressionRule()

    - #### getXPostfixOperationAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XPostfixOperationElements getXPostfixOperationAccess()

    - #### getXPostfixOperationRule

          public org.eclipse.xtext.ParserRule getXPostfixOperationRule()

    - #### getOpPostfixAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpPostfixElements getOpPostfixAccess()

    - #### getOpPostfixRule

          public org.eclipse.xtext.ParserRule getOpPostfixRule()

    - #### getXMemberFeatureCallAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XMemberFeatureCallElements getXMemberFeatureCallAccess()

    - #### getXMemberFeatureCallRule

          public org.eclipse.xtext.ParserRule getXMemberFeatureCallRule()

    - #### getXPrimaryExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XPrimaryExpressionElements getXPrimaryExpressionAccess()

    - #### getXPrimaryExpressionRule

          public org.eclipse.xtext.ParserRule getXPrimaryExpressionRule()

    - #### getXLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XLiteralElements getXLiteralAccess()

    - #### getXLiteralRule

          public org.eclipse.xtext.ParserRule getXLiteralRule()

    - #### getXCollectionLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCollectionLiteralElements getXCollectionLiteralAccess()

    - #### getXCollectionLiteralRule

          public org.eclipse.xtext.ParserRule getXCollectionLiteralRule()

    - #### getXSetLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSetLiteralElements getXSetLiteralAccess()

    - #### getXSetLiteralRule

          public org.eclipse.xtext.ParserRule getXSetLiteralRule()

    - #### getXListLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XListLiteralElements getXListLiteralAccess()

    - #### getXListLiteralRule

          public org.eclipse.xtext.ParserRule getXListLiteralRule()

    - #### getXClosureAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XClosureElements getXClosureAccess()

    - #### getXClosureRule

          public org.eclipse.xtext.ParserRule getXClosureRule()

    - #### getXExpressionInClosureAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionInClosureElements getXExpressionInClosureAccess()

    - #### getXExpressionInClosureRule

          public org.eclipse.xtext.ParserRule getXExpressionInClosureRule()

    - #### getXShortClosureAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XShortClosureElements getXShortClosureAccess()

    - #### getXShortClosureRule

          public org.eclipse.xtext.ParserRule getXShortClosureRule()

    - #### getXParenthesizedExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XParenthesizedExpressionElements getXParenthesizedExpressionAccess()

    - #### getXParenthesizedExpressionRule

          public org.eclipse.xtext.ParserRule getXParenthesizedExpressionRule()

    - #### getXIfExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XIfExpressionElements getXIfExpressionAccess()

    - #### getXIfExpressionRule

          public org.eclipse.xtext.ParserRule getXIfExpressionRule()

    - #### getXSwitchExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSwitchExpressionElements getXSwitchExpressionAccess()

    - #### getXSwitchExpressionRule

          public org.eclipse.xtext.ParserRule getXSwitchExpressionRule()

    - #### getXCasePartAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCasePartElements getXCasePartAccess()

    - #### getXCasePartRule

          public org.eclipse.xtext.ParserRule getXCasePartRule()

    - #### getXForLoopExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XForLoopExpressionElements getXForLoopExpressionAccess()

    - #### getXForLoopExpressionRule

          public org.eclipse.xtext.ParserRule getXForLoopExpressionRule()

    - #### getXBasicForLoopExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBasicForLoopExpressionElements getXBasicForLoopExpressionAccess()

    - #### getXBasicForLoopExpressionRule

          public org.eclipse.xtext.ParserRule getXBasicForLoopExpressionRule()

    - #### getXWhileExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XWhileExpressionElements getXWhileExpressionAccess()

    - #### getXWhileExpressionRule

          public org.eclipse.xtext.ParserRule getXWhileExpressionRule()

    - #### getXDoWhileExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XDoWhileExpressionElements getXDoWhileExpressionAccess()

    - #### getXDoWhileExpressionRule

          public org.eclipse.xtext.ParserRule getXDoWhileExpressionRule()

    - #### getXBlockExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBlockExpressionElements getXBlockExpressionAccess()

    - #### getXBlockExpressionRule

          public org.eclipse.xtext.ParserRule getXBlockExpressionRule()

    - #### getXExpressionOrVarDeclarationAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionOrVarDeclarationElements getXExpressionOrVarDeclarationAccess()

    - #### getXExpressionOrVarDeclarationRule

          public org.eclipse.xtext.ParserRule getXExpressionOrVarDeclarationRule()

    - #### getXVariableDeclarationAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XVariableDeclarationElements getXVariableDeclarationAccess()

    - #### getXVariableDeclarationRule

          public org.eclipse.xtext.ParserRule getXVariableDeclarationRule()

    - #### getJvmFormalParameterAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.JvmFormalParameterElements getJvmFormalParameterAccess()

    - #### getJvmFormalParameterRule

          public org.eclipse.xtext.ParserRule getJvmFormalParameterRule()

    - #### getFullJvmFormalParameterAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.FullJvmFormalParameterElements getFullJvmFormalParameterAccess()

    - #### getFullJvmFormalParameterRule

          public org.eclipse.xtext.ParserRule getFullJvmFormalParameterRule()

    - #### getXFeatureCallAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XFeatureCallElements getXFeatureCallAccess()

    - #### getXFeatureCallRule

          public org.eclipse.xtext.ParserRule getXFeatureCallRule()

    - #### getFeatureCallIDAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.FeatureCallIDElements getFeatureCallIDAccess()

    - #### getFeatureCallIDRule

          public org.eclipse.xtext.ParserRule getFeatureCallIDRule()

    - #### getIdOrSuperAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.IdOrSuperElements getIdOrSuperAccess()

    - #### getIdOrSuperRule

          public org.eclipse.xtext.ParserRule getIdOrSuperRule()

    - #### getXConstructorCallAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XConstructorCallElements getXConstructorCallAccess()

    - #### getXConstructorCallRule

          public org.eclipse.xtext.ParserRule getXConstructorCallRule()

    - #### getXNullLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XNullLiteralElements getXNullLiteralAccess()

    - #### getXNullLiteralRule

          public org.eclipse.xtext.ParserRule getXNullLiteralRule()

    - #### getXStringLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XStringLiteralElements getXStringLiteralAccess()

    - #### getXStringLiteralRule

          public org.eclipse.xtext.ParserRule getXStringLiteralRule()

    - #### getXTypeLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XTypeLiteralElements getXTypeLiteralAccess()

    - #### getXTypeLiteralRule

          public org.eclipse.xtext.ParserRule getXTypeLiteralRule()

    - #### getXThrowExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XThrowExpressionElements getXThrowExpressionAccess()

    - #### getXThrowExpressionRule

          public org.eclipse.xtext.ParserRule getXThrowExpressionRule()

    - #### getXReturnExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XReturnExpressionElements getXReturnExpressionAccess()

    - #### getXReturnExpressionRule

          public org.eclipse.xtext.ParserRule getXReturnExpressionRule()

    - #### getXTryCatchFinallyExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XTryCatchFinallyExpressionElements getXTryCatchFinallyExpressionAccess()

    - #### getXTryCatchFinallyExpressionRule

          public org.eclipse.xtext.ParserRule getXTryCatchFinallyExpressionRule()

    - #### getXSynchronizedExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSynchronizedExpressionElements getXSynchronizedExpressionAccess()

    - #### getXSynchronizedExpressionRule

          public org.eclipse.xtext.ParserRule getXSynchronizedExpressionRule()

    - #### getXCatchClauseAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCatchClauseElements getXCatchClauseAccess()

    - #### getXCatchClauseRule

          public org.eclipse.xtext.ParserRule getXCatchClauseRule()

    - #### getQualifiedNameAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.QualifiedNameElements getQualifiedNameAccess()

    - #### getQualifiedNameRule

          public org.eclipse.xtext.ParserRule getQualifiedNameRule()

    - #### getNumberAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.NumberElements getNumberAccess()

    - #### getNumberRule

          public org.eclipse.xtext.ParserRule getNumberRule()

    - #### getStaticQualifierAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.StaticQualifierElements getStaticQualifierAccess()

    - #### getStaticQualifierRule

          public org.eclipse.xtext.ParserRule getStaticQualifierRule()

    - #### getHEXRule

          public org.eclipse.xtext.TerminalRule getHEXRule()

    - #### getINTRule

          public org.eclipse.xtext.TerminalRule getINTRule()

    - #### getDECIMALRule

          public org.eclipse.xtext.TerminalRule getDECIMALRule()

    - #### getJvmTypeReferenceAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmTypeReferenceElements getJvmTypeReferenceAccess()

    - #### getJvmTypeReferenceRule

          public org.eclipse.xtext.ParserRule getJvmTypeReferenceRule()

    - #### getArrayBracketsAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.ArrayBracketsElements getArrayBracketsAccess()

    - #### getArrayBracketsRule

          public org.eclipse.xtext.ParserRule getArrayBracketsRule()

    - #### getXFunctionTypeRefAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XFunctionTypeRefElements getXFunctionTypeRefAccess()

    - #### getXFunctionTypeRefRule

          public org.eclipse.xtext.ParserRule getXFunctionTypeRefRule()

    - #### getJvmParameterizedTypeReferenceAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmParameterizedTypeReferenceElements getJvmParameterizedTypeReferenceAccess()

    - #### getJvmParameterizedTypeReferenceRule

          public org.eclipse.xtext.ParserRule getJvmParameterizedTypeReferenceRule()

    - #### getJvmArgumentTypeReferenceAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmArgumentTypeReferenceElements getJvmArgumentTypeReferenceAccess()

    - #### getJvmArgumentTypeReferenceRule

          public org.eclipse.xtext.ParserRule getJvmArgumentTypeReferenceRule()

    - #### getJvmWildcardTypeReferenceAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmWildcardTypeReferenceElements getJvmWildcardTypeReferenceAccess()

    - #### getJvmWildcardTypeReferenceRule

          public org.eclipse.xtext.ParserRule getJvmWildcardTypeReferenceRule()

    - #### getJvmUpperBoundAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmUpperBoundElements getJvmUpperBoundAccess()

    - #### getJvmUpperBoundRule

          public org.eclipse.xtext.ParserRule getJvmUpperBoundRule()

    - #### getJvmUpperBoundAndedAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmUpperBoundAndedElements getJvmUpperBoundAndedAccess()

    - #### getJvmUpperBoundAndedRule

          public org.eclipse.xtext.ParserRule getJvmUpperBoundAndedRule()

    - #### getJvmLowerBoundAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmLowerBoundElements getJvmLowerBoundAccess()

    - #### getJvmLowerBoundRule

          public org.eclipse.xtext.ParserRule getJvmLowerBoundRule()

    - #### getJvmLowerBoundAndedAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmLowerBoundAndedElements getJvmLowerBoundAndedAccess()

    - #### getJvmLowerBoundAndedRule

          public org.eclipse.xtext.ParserRule getJvmLowerBoundAndedRule()

    - #### getJvmTypeParameterAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmTypeParameterElements getJvmTypeParameterAccess()

    - #### getJvmTypeParameterRule

          public org.eclipse.xtext.ParserRule getJvmTypeParameterRule()

    - #### getQualifiedNameWithWildcardAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.QualifiedNameWithWildcardElements getQualifiedNameWithWildcardAccess()

    - #### getQualifiedNameWithWildcardRule

          public org.eclipse.xtext.ParserRule getQualifiedNameWithWildcardRule()

    - #### getValidIDAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.ValidIDElements getValidIDAccess()

    - #### getValidIDRule

          public org.eclipse.xtext.ParserRule getValidIDRule()

    - #### getXImportSectionAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XImportSectionElements getXImportSectionAccess()

    - #### getXImportSectionRule

          public org.eclipse.xtext.ParserRule getXImportSectionRule()

    - #### getQualifiedNameInStaticImportAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.QualifiedNameInStaticImportElements getQualifiedNameInStaticImportAccess()

    - #### getQualifiedNameInStaticImportRule

          public org.eclipse.xtext.ParserRule getQualifiedNameInStaticImportRule()

    - #### getIDRule

          public org.eclipse.xtext.TerminalRule getIDRule()

    - #### getSTRINGRule

          public org.eclipse.xtext.TerminalRule getSTRINGRule()

    - #### getML_COMMENTRule

          public org.eclipse.xtext.TerminalRule getML_COMMENTRule()

    - #### getSL_COMMENTRule

          public org.eclipse.xtext.TerminalRule getSL_COMMENTRule()

    - #### getWSRule

          public org.eclipse.xtext.TerminalRule getWSRule()

    - #### getANY_OTHERRule

          public org.eclipse.xtext.TerminalRule getANY_OTHERRule()